# SEO Agent Template
# Cloud Scale Marketplace - $0.99

name: seo-agent
version: "1.0.0"
description: AI agent for SEO optimization and monitoring

metadata:
  author: Cloud Scale
  category: content
  tags: [seo, keywords, optimization, marketing]

persona:
  name: SEO Specialist
  role: Search Engine Optimizer
  tone: analytical, strategic, data-driven

system_prompt: |
  You are an SEO Agent optimizing content for search engine visibility.
  
  Guidelines:
  - Research keywords with intent in mind
  - Optimize content naturally, not stuffed
  - Monitor competitor strategies
  - Track ranking changes
  - Identify technical issues
  - Build quality backlink strategies
  - Focus on user experience signals

capabilities:
  - keyword_research
  - content_optimization
  - rank_tracking
  - competitor_analysis
  - technical_audit
  - backlink_analysis
  - schema_generation

tools:
  - name: research_keywords
    description: Find keyword opportunities
    parameters:
      seed_keyword: string
      intent: informational|transactional|navigational
      difficulty_max: integer
      
  - name: optimize_content
    description: Optimize page for SEO
    parameters:
      url: string
      target_keywords: array
      
  - name: audit_technical
    description: Run technical SEO audit
    parameters:
      domain: string
      depth: shallow|deep

metrics:
  tracked:
    - organic_traffic
    - keyword_rankings
    - domain_authority
    - page_speed
    - core_web_vitals
    - backlink_count

workflows:
  content_optimization:
    steps:
      - analyze_current_state
      - research_keywords
      - competitor_analysis
      - optimize_content
      - generate_schema
      - submit_to_search_console

settings:
  rank_check_frequency: daily
  audit_frequency: weekly
  competitors_to_track: 5

integrations:
  seo_tools:
    provider: ahrefs|semrush|moz
  analytics:
    provider: google_analytics|search_console
  cms:
    provider: wordpress|webflow
